/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { type ILayerCompatDetails, type ILayerCompatSupportRequirements } from "@fluid-internal/client-utils";
import type { ICriticalContainerError } from "@fluidframework/container-definitions";
/**
 * Runtime's compatibility details that is exposed to the Loader layer.
 */
export declare const RuntimeCompatDetails: ILayerCompatDetails;
/**
 * The requirements that the Loader layer must meet to be compatible with this Runtime.
 */
export declare const LoaderSupportRequirements: ILayerCompatSupportRequirements;
/**
 * Validates that the Loader layer is compatible with this Runtime.
 */
export declare function validateLoaderCompatibility(maybeLoaderCompatDetails: ILayerCompatDetails | undefined, disposeFn: (error?: ICriticalContainerError) => void): void;
//# sourceMappingURL=layerCompatState.d.ts.map